%global pypi_name django-keyedcache
%global obs_ver 1.4.1-5

Name:           python-%{pypi_name}
Version:        1.5.1
Release:        1%{?dist}
Summary:        Utilities for simplified development of cache aware objects
Group:          Development/Languages
License:        BSD
URL:            http://pypi.python.org/pypi/%{pypi_name}
Source0:        http://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# to get test project:
#  hg clone ssh://hg@bitbucket.org/bkroeze/django-keyedcache && cd django-keyedcache
#  hg checkout 2600393 && tar -czf python-django-keyedcache-1.5.1-test-project.tar.gz test-project/
Source1:        %{name}-%{version}-test-project.tar.gz
BuildArch:      noarch
BuildRequires:  python-setuptools
BuildRequires:  python2-devel
BuildRequires:  python-django
BuildRequires:  gettext
Requires:       python-django

Provides:       django-keyedcache = %{version}-%{release}
Obsoletes:      django-keyedcache < %{obs_ver}

%description
Django Keyedcache provides utilities and class mixins for simplified development
of cache-aware objects. Used in Satchmo

%prep
%setup -q -n %{pypi_name}-%{version}
tar -xzf %{SOURCE1}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%find_lang django

# remove unneeded .po files
pushd $RPM_BUILD_ROOT
find -type f -name '*.po' -exec rm {} \;
popd

%check
pushd test-project
PYTHONPATH=.. python manage.py test keyedcache
popd

%files -f django.lang
%doc PKG-INFO
%dir %{python_sitelib}/keyedcache/
%{python_sitelib}/keyedcache/*.py*
# own all the locale directories
%dir %{python_sitelib}/keyedcache/locale/
%dir %{python_sitelib}/keyedcache/locale/*/
%dir %{python_sitelib}/keyedcache/locale/*/*/
%{python_sitelib}/keyedcache/templates/
%exclude %{python_sitelib}/keyedcache/test_app
%{python_sitelib}/django_keyedcache*.egg-info

%changelog
* Mon Jun 09 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 1.5.1-1
- Updated to version 1.5.1

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Apr 21 2013 Miro Hrončok <mhroncok@redhat.com> - 1.4.6-5
- Added patches so this works with Django 1.5 well

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Aug 14 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 1.4.6-3
- Add proper Provides and Obsoletes tags.

* Tue Aug 14 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 1.4.6-2
- Fixed the package's locale directory ownership issue.

* Mon Aug 13 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 1.4.6-1
- Renamed to python-django-keyedcache.
- Updated to latest upstream release.
- Fixed URL to point to upstream, not to PyPI.
- Introduced %%check section.
- Improved lang files handling.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Jun 09 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 1.4.1-2
- Fix a build issue

* Thu Apr 14 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 1.4.1-1
- initial spec
